# -*- coding: utf-8; indent-tabs-mode: nil; tab-width: 2; -*-
#

---
#
# root user
#

- include: epel.yml

- name: Installing MySQL
  yum: name={{ item }} state=present
  with_items:
    - mysql-server
    - mysql
    - MySQL-python

- name: Enable MySQL at startup
  service: name=mysqld enabled=yes

- name: Starting MySQL
  service: name=mysqld state=started

- name: Update MySQL root password
  mysql_user: name=root host={{ item }} password={{ mysql_root_password }}
  with_items:
    - "{{ inventory_hostname }}"
    - 127.0.0.1
    - ::1
    - localhost
  ignore_errors: True

- name: Delete anonymous MySQL user
  mysql_user: name="" state=absent login_user={{ mysql_root_user }} login_password={{ mysql_root_password}}

- name: Remove MySQL test database
  mysql_db: name=test state=absent login_user={{ mysql_root_user }} login_password={{ mysql_root_password}}


